Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.migration
Class BambooMapper

    java.lang.Object
      com.atlassian.bamboo.migration.BambooMapper

All Implemented Interfaces:
  Mapper

Direct Known Subclasses:
  AuthorMapper, GroupMapper, InstantMessagingServerMapper, JiraServerMapper, LabelMapper, MailServerMapper, PipelineMapper, ProjectMapper, UserMapper

    public abstract class BambooMapper

extends Object
implements Mapper

Field Summary
`static String` | `GENERIC_XML_CREATIONDATE`
`static String` | `GENERIC_XML_ID`
`static String` | `GENERIC_XML_MODIFICATIONDATE`
`static SimpleDateFormat` | `sdf`

Constructor Summary
`BambooMapper()`

Method Summary
`protected void` | `exportDefaults(Object object, Element element)`
`protected String` | `getOptionalString(Element element)`
`protected void` | `populateDefaults(Object object, Element element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.migration.Mapper
`exportXml, importXml`

Field Detail

### sdf

    public static final SimpleDateFormat sdf

### GENERIC_XML_ID

    public static final String GENERIC_XML_ID

See Also:
  Constant Field Values

### GENERIC_XML_CREATIONDATE

    public static final String GENERIC_XML_CREATIONDATE

See Also:
  Constant Field Values

### GENERIC_XML_MODIFICATIONDATE

    public static final String GENERIC_XML_MODIFICATIONDATE

See Also:
  Constant Field Values

Constructor Detail

### BambooMapper

    public BambooMapper()

Method Detail

### getOptionalString

    protected String getOptionalString(Element element)

### populateDefaults

    protected void populateDefaults(Object object,
                                    Element element)
                             throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### exportDefaults

    protected void exportDefaults(Object object,
                                  Element element)
                           throws IllegalArgumentException,
                                  ParseException

  Throws:
    `IllegalArgumentException`
    `ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.